
(define randpoints
  (lambda (count)
    (letrec
      ((scale 20)
       (points
        (lambda (n)
          (draw-move 
            (* (- count n) scale) 
            (* scale (random count)))
          (fill-circle (/ scale 2))
          (if (not (zero? n))
            (points (- n 1)))))
       (grid
         (lambda (n)
           (draw-move 0 (* scale n))
           (draw-line (* scale count) (* scale n))
           (if (not (zero? n))
             (grid (- n 1))))))
      (grid count)
      (draw-move 0 0)
      (draw-color 255 255 0)
      (points count))))
      
      
(randpoints 15)
(randpoints 15.0)

